Get Pomodoro entryGET
Description
Returns a single Pomodoro entry.
Permissions
Request format
curl https://kanbanflow.com/api/v1/pomodoro-entries/<POMODORO_ENTRY_ID>
Example request
curl https://kanbanflow.com/api/v1/pomodoro-entries/EyS84FdLk
Example response
{
"_id": "EyS84FdLk",
"userId": "UHJ9JgtA",
"targetWorkMinutes": 25,
"success": false,
"interruptionReason": "Colleague interrupted",
"startTimestamp": "2023-01-02T08:30:00Z",
"parts": [
{
"endTimestamp": "2023-01-02T08:45:00Z",
"taskId": "T3s6UGyzY",
"boardId": "BZrWANX8T"
},
{
"endTimestamp": "2023-01-02T08:51:00Z",
"taskId": "TZ8avKBVt",
"boardId": "BZrWANX8T"
}
]
}Response properties
| Property | Type | Comment |
|---|---|---|
| _id | String | The ID of the Pomodoro entry. |
| userId | String | The ID of the user that added the Pomodoro entry. |
| targetWorkMinutes | Integer | The user defined duration in minutes of a complete Pomodoro. |
| success | Boolean | True if Pomodoro points were given for this session. |
| interruptionReason | String | If Pomodoro was interrupted this is the reason the user gave. |
| startTimestamp | String | The UTC timestamp when the Pomodoro entry started, for example 2023-12-31T09:00:00Z. |
| parts | Array | Refers to parts of the Pomodoro session. Each part includes task ID, board ID and end timestamp. The end timestamp is a UTC timestamp, for example 2023-12-31T17:00:00Z. |
| comment | String | A comment to the time entry. Only included when set. |
| labelNames | Array | Labels for the time entry. Only included when there are any items. Example: ["Billable", "Project X"]. |